# Logging Configuration File
#
#
# Available sections: 
#  [LoggerLevels]       : lists regular levelregex to match against loggers.
#  [ConsoleLogging]     : configures logging onto screen
#  [FileLogging]        : configures logging into local file

# The root key describes the root
# logger level which is the default level for all loggers.

# Level regular expressions (levelregex) are matched top down with the first
# match setting the effective level. If no matches are found, default applies.  

# Available logger levels: debug, info, warn, error, critical

# In order for a message to be emitted by a specific handler the level of
# the message must be greater than or equal to both the logger level and
# the handler level.
#

# Example: Debug level for DbManager, info for everything else
# 
# [LoggerLevels]
# levelregex: ^.*$=info
#     ^DbManager$=debug
#

[LoggerLevels]
root=error
levelregex: ^.*$=debug

#[ConsoleLogging]
#handler=ConsoleLoggingHandler(sys.stdout,)
#level=debug
#format=%(asctime)s,%(msecs)003d %(levelname)s %(filename)s:%(lineno)d %(process)d:  %(message)s
#dateformat=%Y-%m-%d %H:%M:%S

# Custom log files can be setup here using config section [FileLogging<name>] 
[FileLogging]
handler=TimedRotatingFileLoggingHandler('/home/sveseli/Work/DM/dev/var/log/dm.fsService.log')
level=debug
format=%(asctime)s,%(msecs)003d %(levelname)s %(filename)s:%(lineno)d %(process)d:  %(message)s
dateformat=%Y-%m-%d %H:%M:%S

